Bug 1212065 - Review Request: golang-github-hashicorp-memberlist- Golang package for gossip based membership and failure detection
Summary: Review Request: golang-github-hashicorp-memberlist- Golang package for gossip...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1211990 1212031
Blocks: 1208616 1212318
TreeView+ depends on / blocked
 
Reported: 2015-04-15 13:33 UTC by Jan Chaloupka
Modified: 2015-07-08 17:15 UTC (History)
2 users (show)

Fixed In Version: golang-github-hashicorp-memberlist-0-0.1.gitdad1009.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:09:13 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-04-15 13:33:11 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-memberlist/golang-github-hashicorp-memberlist.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-memberlist/golang-github-hashicorp-memberlist-0-0.1.gitdad1009.fc20.src.rpm

Description: Golang package for gossip based membership and failure detection

Fedora Account System Username: jchaloup

$ rpmlint /home/jchaloup/rpmbuild/SRPMS/golang-github-hashicorp-memberlist-0-0.1.gitdad1009.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/noarch/golang-github-hashicorp-memberlist-devel-0-0.1.gitdad1009.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jan Chaloupka 2015-04-15 13:34:20 UTC
Koji: package depends on bz1211990 bz1212031. Locally it builds fine.

Comment 2 Lokesh Mandvekar 2015-06-17 13:47:45 UTC
- spec file conforms to current golang packaging draft
- license correct and valid
- only sources installed for now

package approved

Comment 3 Jan Chaloupka 2015-06-17 16:40:57 UTC
New Package SCM Request
=======================
Package Name: golang-github-hashicorp-memberlist
Short Description: Golang package for gossip based membership and failure detection
Upstream URL: https://github.com/hashicorp/memberlist
Owners: jchaloup
Branches: f22 f21 el6
InitialCC: golang-sig

Comment 4 Gwyn Ciesla 2015-06-18 15:02:52 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-06-19 18:54:58 UTC
golang-github-hashicorp-memberlist-0-0.1.gitdad1009.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-memberlist-0-0.1.gitdad1009.fc22

Comment 6 Fedora Update System 2015-06-19 18:57:14 UTC
golang-github-hashicorp-memberlist-0-0.1.gitdad1009.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-memberlist-0-0.1.gitdad1009.fc21

Comment 7 Fedora Update System 2015-06-19 18:57:46 UTC
golang-github-hashicorp-memberlist-0-0.1.gitdad1009.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-memberlist-0-0.1.gitdad1009.el6

Comment 8 Fedora Update System 2015-06-20 21:12:34 UTC
golang-github-hashicorp-memberlist-0-0.1.gitdad1009.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2015-06-30 00:09:13 UTC
golang-github-hashicorp-memberlist-0-0.1.gitdad1009.fc22 has been pushed to the Fedora 22 stable repository.

Comment 10 Fedora Update System 2015-06-30 00:16:42 UTC
golang-github-hashicorp-memberlist-0-0.1.gitdad1009.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2015-07-08 17:15:52 UTC
golang-github-hashicorp-memberlist-0-0.1.gitdad1009.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.